org.apache.poi.hpbf.dev

## Class HPBFDumper

- java.lang.Object
- - org.apache.poi.hpbf.dev.HPBFDumper

-     public final class HPBFDumper
      extends java.lang.Object

  For dumping out the contents of HPBF (Publisher) files, while we try to figure out how they're constructed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPBFDumper(java.io.InputStream inp)`
    `HPBFDumper(POIFSFileSystem fs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dump001CompObj(DirectoryNode dir)`
    `void` | `dumpContents()`
    `void` | `dumpCONTENTSguessed(DirectoryNode dir)`
    `void` | `dumpCONTENTSraw(DirectoryNode dir)`
    `void` | `dumpEnvelope()`
    `void` | `dumpEscher()` Dump out the escher parts of the file.
    `protected void` | `dumpEscherDelayStm(DirectoryNode escherDir)`
    `protected void` | `dumpEscherStm(DirectoryNode escherDir)`
    `void` | `dumpQuill()`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HPBFDumper

          public HPBFDumper(POIFSFileSystem fs)

    - #### HPBFDumper

          public HPBFDumper(java.io.InputStream inp)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### dumpEscher

          public void dumpEscher()
                          throws java.io.IOException

      Dump out the escher parts of the file. Escher -> EscherStm and EscherDelayStm
      Throws:
        `java.io.IOException`

    - #### dumpEscherStm

          protected void dumpEscherStm(DirectoryNode escherDir)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dumpEscherDelayStm

          protected void dumpEscherDelayStm(DirectoryNode escherDir)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dumpEnvelope

          public void dumpEnvelope()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dumpContents

          public void dumpContents()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dumpCONTENTSraw

          public void dumpCONTENTSraw(DirectoryNode dir)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dumpCONTENTSguessed

          public void dumpCONTENTSguessed(DirectoryNode dir)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dump001CompObj

          protected void dump001CompObj(DirectoryNode dir)

    - #### dumpQuill

          public void dumpQuill()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.